com.fasterxml.jackson.module.mrbean

## Class TypeBuilder

- java.lang.Object
- - com.fasterxml.jackson.module.mrbean.TypeBuilder

-     public class TypeBuilder
      extends Object

  Asm build to generate abstract type
  Author:
    Eugene Petrenko (eugene.petrenko@jetbrains.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.JavaType` | `_implementedType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeBuilder(com.fasterxml.jackson.databind.JavaType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `buildAbstractBase(String className)` Method that generates byte code for class that implements abstract types requested so far.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _implementedType

          protected final com.fasterxml.jackson.databind.JavaType _implementedType

  - ### Constructor Detail

    - #### TypeBuilder

          public TypeBuilder(com.fasterxml.jackson.databind.JavaType type)

  - ### Method Detail

    - #### buildAbstractBase

          public byte[] buildAbstractBase(String className)

      Method that generates byte code for class that implements abstract types requested so far.
      Parameters:
        `className` - Fully-qualified name of the class to generate
      Returns:
        Byte code Class instance built by this builder

Copyright © 2017 FasterXML. All rights reserved.